%define	name	tap
%define	version	1.03
%define	release	%mkrel 1
%define	major	0
%define	libname	    %mklibname %{name} %{major}
%define develname   %mklibname -d %{name}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Write tests that implement the Test Anything Protocol
License:	GPL
Group:		System/Libraries
URL:		http://jc.ngo.org.uk/trac-bin/trac.cgi/wiki/LibTap
Source:		http://download.berlios.de/web-cpan/tap-1.03.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
The tap library provides functions for writing test scripts that produce output
consistent with the Test Anything Protocol.  A test harness that parses this
protocol can run these tests and produce useful reports indicating their
success or failure.

%package -n	%{libname}
Summary:	Write tests that implement the Test Anything Protocol
Group:		System/Libraries

%description -n	%{libname}
The tap library provides functions for writing test scripts that produce output
consistent with the Test Anything Protocol.  A test harness that parses this
protocol can run these tests and produce useful reports indicating their
success or failure.

%package -n	%{develname} 
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{mklibname -d %{name} 0}

%description -n	%{develname}
This package contains development files for %{name}.

%prep
%setup -q

%build
%configure2_5x
%make CFLAGS+=-UHAVE_LIBPTHREAD

%install
rm -rf %{buildroot}
%makeinstall_std
chmod 644 %{buildroot}%{_libdir}/*.la

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%doc COPYING INSTALL NEWS README 
%{_libdir}/*.so.*

%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/*.a
%{_includedir}/*
%{_mandir}/man3/*





%changelog

* Mon Dec 19 2011 shlomif <shlomif> 1.03-1.mga2
+ Revision: 184545
- imported package tap


* Tue Sep 08 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.01-8mdv2010.0
+ Revision: 434270
- rebuild

* Sat Aug 02 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.01-7mdv2009.0
+ Revision: 261375
- rebuild

* Tue Jul 29 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.01-6mdv2009.0
+ Revision: 254116
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Dec 20 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.01-4mdv2008.1
+ Revision: 136033
- new devel package policy

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - import tap


* Tue Aug 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.01-3mdv2007.0
- Rebuild

* Mon Dec 12 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.01-2mdk
- build without thread support (seems to be broken) 

* Sun Dec 11 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.01-1mdk
- first mdk release
